using System;
using System.Collections;

class Program
{
    static void Main(string[] args)
    {
        Hashtable telephoneNumber = new Hashtable(4);

        telephoneNumber.Add("Polizei", "110");
        telephoneNumber.Add("Notruf", "110");
        telephoneNumber.Add("Feuerwehr", "112");
        telephoneNumber.Add("Auskunft", "11833");


        // Element in Container suchen 
        Console.Write("\n Suche nach Nummer der Auskunft: ");

        object nr = telephoneNumber["Auskunft"];
        if (nr == null)
            Console.WriteLine(" Nummer nicht gefunden");
        else
            Console.WriteLine(" " + nr);


        Console.WriteLine("\n Elemente in Auflistung: ");
        foreach (DictionaryEntry elem in telephoneNumber)
            Console.WriteLine(" {0}: {1}", elem.Key, elem.Value);
    }
}

